dgy
/
hexagons
Archived
1
0
Fork 0

actualizaciones

This commit is contained in:
deadguy 2018-10-18 16:25:56 -03:00
parent 42828ed125
commit 01742ddb7a
Signed by: dgy
GPG Key ID: 37CA55B52CF63730
25 changed files with 233 additions and 107 deletions

View File

@ -1,8 +1,8 @@
hsetroot -fill /home/deadguy/Pictures/wallpaper/dAMMwdO.png &
hsetroot -fill /home/deadguy/Pictures/wallpaper/IUZQAde.png &
#~/.config/polybar/launch.sh &
# redshift -c ~/.config/redshift/redshift.conf &
dunst -conf ~/.config/dunst/dunstrc &
sleep 1s
mpd &
unclutter &
mpd &
urxvtd -q -o -f

View File

@ -72,18 +72,15 @@ bspc rule -a URxvt:flota state=floating
bspc rule -a System-config-printer.py state=floating
bspc rule -a X64 state=floating
bspc rule -a Toplevel state=floating
bspc rule -a WxPSeInt.bin state=floating
bspc rule -a Firefox state=floating
# Otros
bspc rule -a Zathura state=tiled
bspc rule -a Oblogout state=fullscreen, layer=above
# Fijos
bspc rule -a Termite desktop='^1'
bspc rule -a Firefox desktop='^2'
bspc rule -a URxvt:flota desktop='^3'
bspc rule -a Firefox:Navigator state=tiled
bspc config external_rules_command "$HOME/.config/bspwm/external_rules.sh"
2bspwm &
# shellcheck source=/dev/null
. "$HOME/.config/bspwm/autostart"

View File

@ -97,6 +97,6 @@
[mail]
appname = neomutt
new_icon = "/usr/share/icons/Papirus-Dark/16x16@2x/apps/gmail.svg"
new_icon = "/home/deadguy/Pictures/rand/message.svg"
# vim: ft=cfg

View File

@ -14,6 +14,8 @@ text/html; "$BROWSER" %s 2>/dev/null & disown; test=test -n "$DISPLAY"; needster
text/html; w3m -I %{charset} -T text/html; copiousoutput
text/plain; nvim %s; copiousoutput
application/pgp-encrypted; gpg -d '%s'; copiousoutput;
# 256 color images using half-width unicode characters
# Much higher quality that img2txt, but must be built from source
# https://github.com/rossy/img2xterm

View File

@ -4,7 +4,7 @@
source ~/.config/mutt/gpg.rc
source etc/muttcol
source etc/aliases
source /home/deadguy/.config/mutt/accounts/vidaar.muttrc
source /home/deadguy/.config/mutt/accounts/.muttrc
# Hacks -----------------------------------------
# "from" field gets 30% of remaining space, "subject" gets 70%. Remaining space is the total width minus the other fields
@ -30,6 +30,11 @@ set markers = no
set smtp_authenticators = 'gssapi:login'
set wait_key = no
# Notmuch options ---------------------------------------
set virtual_spoolfile=yes
set folder=notmuch-root-folder
source ~/.mailboxes
# Index Options -----------------------------------------
set sort = threads # like gmail
set sort_aux = reverse-last-date-received # like gmail
@ -72,6 +77,7 @@ set reverse_name # reply as whomever it was to
set include # include message in replies
set forward_quote # include message in forwards
auto_view text/html
auto_view application/pgp-encrypted
auto_view application/pdf
alternative_order text/plain text/enriched text/html
set rfc2047_parameters = yes
@ -129,6 +135,9 @@ macro attach 'V' "<pipe-entry>cat >~/.cache/mutt/mail.html && $BROWSER ~/.cache/
macro index,pager U "<enter-command>set pipe_decode = yes<enter><pipe-message>urlview<enter><enter-command>set pipe_decode = no<enter>""view URLs"
macro index,pager \Cu |urlscan\n
macro index,pager ,, |urlscan\n
macro index,pager \cb "<enter-command> set my_pdsave=\$pipe_decode<enter>\
<enter-command> unset pipe_decode<enter>\
<pipe-message>extract_url<enter>\

View File

@ -1,7 +1,42 @@
setlocal tw=0
setlocal colorcolumn=0
setlocal fileformat=unix
setlocal syntax=foxdot
let b:ale_enabled = 0
let b:ale_sign_column_always = 0
let g:ale_sign_column_always = 0
let b:ale_linters = []
let b:ale_fixers = []
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" Mappings
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
if !exists("g:foxdot_no_mappings") || !g:foxdot_no_mappings
if !hasmapto('<Plug>FoxdotConfig', 'n')
nmap <buffer> <localleader>c <Plug>FoxdotConfig
endif
if !hasmapto('<Plug>FoxdotLineSend', 'n')
nmap <buffer> <localleader>s <Plug>FoxdotLineSend
nmap <buffer> <c-c> <Plug>FoxdotLineSend
endif
if !hasmapto('<Plug>FoxdotParagraphSend', 'n')
nmap <buffer> <localleader>ss <Plug>FoxdotParagraphSend
nmap <buffer> <c-e> <Plug>FoxdotParagraphSend
endif
imap <buffer> <c-e> <Esc><Plug>FoxdotParagraphSend<Esc>i<Right>
imap <buffer> <c-c> <Esc><Plug>FoxdotLineSend<Esc>i<Right>
nnoremap <buffer> <localleader>h :FoxdotHush<cr>
nnoremap <buffer> <c-h> :FoxdotHush<cr>
let i = 1
while i <= 9
execute 'nnoremap <buffer> <localleader>'.i.' :FoxdotSilence '.i.'<cr>'
execute 'nnoremap <buffer> <c-'.i.'> :FoxdotSilence '.i.'<cr>'
execute 'nnoremap <buffer> <localleader>s'.i.' :FoxdotPlay '.i.'<cr>'
let i += 1
endwhile
endif

View File

@ -7,5 +7,3 @@ highlight clear SpellRare
highlight SpellRare term=underline cterm=underline
highlight clear SpellLocal
highlight SpellLocal term=underline cterm=underline
let b:ale_linters = ['proselint']

View File

@ -40,7 +40,7 @@ augroup texsave
autocmd CursorHold,CursorHoldI * silent! wall
augroup END
let b:ale_linters = ['chktex', 'proselint']
let b:ale_linters = ['chktex']
"command Compile normal! :52 split <cr><c-w>j:terminal latexmk %<CR>G

View File

@ -540,7 +540,7 @@ vnoremap <silent> * :<C-u>call VisualSelection('', '')<CR>/<C-R>=@/<CR><CR>
vnoremap <silent> # :<C-u>call VisualSelection('', '')<CR>?<C-R>=@/<CR><CR>
" Super quick search and replace
nnoremap <Space>' :'{,'}s/\<<C-r>=expand("<cword>")<CR>\>/
nnoremap <Space>+ :'{,'}s/\<<C-r>=expand("<cword>")<CR>\>/
nnoremap <Space>¿ :%s/\<<C-r>=expand("<cword>")<CR>\>/
" Learn vim keys the hard way

View File

@ -16,6 +16,7 @@ set vcs_backend_bzr disabled
set vcs_backend_svn disabled
set preview_images true
set preview_images_method w3m
set w3m_delay 0.02
set unicode_ellipsis true
set show_hidden_bookmarks true
set colorscheme default
@ -25,7 +26,7 @@ set collapse_preview true
set save_console_history false
set status_bar_on_top false
set draw_progress_bar_in_status_bar true
set draw_borders true
set draw_borders separators
set dirname_in_tabs true
set mouse_enabled true
set display_size_in_main_column true
@ -40,7 +41,7 @@ set max_history_size 20
set max_console_history_size 50
set scroll_offset 8
set flushinput true
set padding_right true
set padding_right false
set autosave_bookmarks false
set save_backtick_bookmark true
set autoupdate_cumulative_size false
@ -54,6 +55,7 @@ set xterm_alt_key false
set cd_bookmarks true
set cd_tab_case sensitive
set preview_max_size 5242880
set hint_collapse_threshold 10
set show_selection_in_titlebar true
set idle_delay 2000
set metadata_deep_search false
@ -74,7 +76,7 @@ alias qall quitall
alias qall! quitall!
alias setl setlocal
alias filter scout -prt
alias filter scout -prts
alias find scout -aeit
alias mark scout -mr
alias unmark scout -Mr
@ -171,6 +173,7 @@ map L history_go 1
map } move_parent 1
map { move_parent -1
map ] traverse
map [ traverse_backwards
map ) jump_non
map gh cd ~
@ -184,7 +187,7 @@ map gs cd ~/.local/share
map gf cd ~/.local/lib/python3.7/site-packages/FoxDot
map gm cd ~/Music/Albums
map gb cd ~/bin
map gM cd /media
map gM cd eval fm.cd('/run/media/' + os.getenv('USER'))
map gR cd /
map gr cd ~/.config/ranger
map g? cd /usr/share/doc/ranger
@ -223,6 +226,7 @@ map yp shell -f echo -n %%d/%%f | xsel -i; xsel -o | xsel -i -b
map yd shell -f echo -n %%d | xsel -i; xsel -o | xsel -i -b
map yn shell -f echo -n %%f | xsel -i; xsel -o | xsel -i -b
map cg chain shell nvim -p ~/.config/ranger/rc.conf; source ~/.config/ranger/rc.conf
map y. yank name_without_extension
# Open file in a new tmux pane
map ef eval import shlex; fm.run("tmux splitw -h rifle " + shlex.quote(fm.thisfile.basename))

View File

@ -153,10 +153,10 @@ ext to|torrent, flag f, has transmission = transmission "$1"
ext 7z, has 7z = 7z -p l "$@" | "$PAGER"
# This requires atool
ext 7z|ace|ar|arc|bz2?|cab|cpio|cpt|deb|dgc|dmg|gz, has atool = atool --extract --each -- "$@"
ext iso|jar|msi|pkg|rar|shar|tar|tgz|xar|xpi|xz|zip, has atool = atool --extract --each -- "$@"
ext 7z|ace|ar|arc|bz2?|cab|cpio|cpt|deb|dgc|dmg|gz, has atool = atool --list --each -- "$@" | "$PAGER"
ext iso|jar|msi|pkg|rar|shar|tar|tgz|xar|xpi|xz|zip, has atool = atool --list --each -- "$@" | "$PAGER"
ext 7z|ace|ar|arc|bz2?|cab|cpio|cpt|deb|dgc|dmg|gz, has atool = atool --extract --each -- "$@"
ext iso|jar|msi|pkg|rar|shar|tar|tgz|xar|xpi|xz|zip, has atool = atool --extract --each -- "$@"
# Listing and extracting archives without atool:
ext 7z|rar|zip|tar|tgz|xz, has file-roller, X, flag f = file-roller -- "$@"
@ -171,6 +171,10 @@ ext ace, has unace = for file in "$@"; do unace e "$file"; done
ext rar, has unrar = unrar l "$1" | less
ext rar, has unrar = for file in "$@"; do unrar x "$file"; done
# Flag t fallback terminals
mime ^ranger/x-terminal-emulator, has termite = termite -x '"$@"'
mime ^ranger/x-terminal-emulator, has urxvt = urxvt -e "$@"
# Define the editor for non-text files + pager as last action
!mime ^text, !ext xml|json|csv|tex|py|pl|rb|js|sh|php = ask
label editor, !mime ^text, !ext xml|json|csv|tex|py|pl|rb|js|sh|php = $EDITOR -- "$@"

View File

@ -26,7 +26,7 @@ IFS=$'\n'
# Script arguments
FILE_PATH="${1}" # Full path of the highlighted file
PV_WIDTH="${2}" # Width of the preview pane (number of fitting characters)
PV_HEIGHT="${3}" # Height of the preview pane (number of fitting characters)
#PV_HEIGHT="${3}" # Height of the preview pane (number of fitting characters)
IMAGE_CACHE_PATH="${4}" # Full path that should be used to cache image preview
PV_IMAGE_ENABLED="${5}" # 'True' if image previews are enabled, 'False' otherwise.
@ -60,8 +60,8 @@ handle_extension() {
# PDF
pdf)
# Preview as text conversion
pdftotext -l 10 -nopgbrk -q -- "${FILE_PATH}" - | fmt -w "${PV_WIDTH}" && exit 5
pdftoppm -jpeg -singlefile "${FILE_PATH}" "${IMAGE_CACHE_PATH}" && exit 6
pdftotext -l 10 -nopgbrk -q -- "${FILE_PATH}" - && exit 5
exiftool "${FILE_PATH}" && exit 5
exit 1;;
@ -88,7 +88,8 @@ handle_extension() {
handle_image() {
local mimetype="${1}"
case "${mimetype}" in
case "${mimetype}" in
# SVG
image/svg+xml)
convert "${FILE_PATH}" "${IMAGE_CACHE_PATH}" && exit 6
@ -111,10 +112,10 @@ handle_image() {
exit 7;;
# Video
video/*)
#video/*)
# # Thumbnail
ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
exit 1;;
# ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
# exit 1;;
# PDF
application/pdf)
pdftoppm -f 1 -l 1 \
@ -124,6 +125,44 @@ handle_image() {
-jpeg -tiffcompression jpeg \
-- "${FILE_PATH}" "${IMAGE_CACHE_PATH%.*}" \
&& exit 6 || exit 1;;
# Preview archives using the first image inside.
# (Very useful for comic book collections for example.)
# application/zip|application/x-rar|application/x-7z-compressed|\
application/x-xz|application/x-bzip2|application/x-gzip|application/x-tar)
local fn=""; local fe=""
local zip=""; local rar=""; local tar=""; local bsd=""
case "${mimetype}" in
application/zip) zip=1 ;;
application/x-rar) rar=1 ;;
application/x-7z-compressed) ;;
*) tar=1 ;;
esac
{ [ "$tar" ] && fn=$(tar --list --file "${FILE_PATH}"); } || \
{ fn=$(bsdtar --list --file "${FILE_PATH}") && bsd=1 && tar=""; } || \
{ [ "$rar" ] && fn=$(unrar lb -p- -- "${FILE_PATH}"); } || \
{ [ "$zip" ] && fn=$(zipinfo -1 -- "${FILE_PATH}"); } || return
fn=$(echo "$fn" | python -c "import sys; import mimetypes as m; \
[ print(l, end='') for l in sys.stdin if \
(m.guess_type(l[:-1])[0] or '').startswith('image/') ]" |\
sort -V | head -n 1)
[ "$fn" = "" ] && return
[ "$bsd" ] && fn=$(printf '%b' "$fn")
[ "$tar" ] && tar --extract --to-stdout \
--file "${FILE_PATH}" -- "$fn" > "${IMAGE_CACHE_PATH}" && exit 6
fe=$(echo -n "$fn" | sed 's/[][*?\]/\\\0/g')
[ "$bsd" ] && bsdtar --extract --to-stdout \
--file "${FILE_PATH}" -- "$fe" > "${IMAGE_CACHE_PATH}" && exit 6
[ "$bsd" ] || [ "$tar" ] && rm -- "${IMAGE_CACHE_PATH}"
[ "$rar" ] && unrar p -p- -inul -- "${FILE_PATH}" "$fn" > \
"${IMAGE_CACHE_PATH}" && exit 6
[ "$zip" ] && unzip -pP "" -- "${FILE_PATH}" "$fe" > \
"${IMAGE_CACHE_PATH}" && exit 6
[ "$rar" ] || [ "$zip" ] && rm -- "${IMAGE_CACHE_PATH}"
;;
esac
}

View File

@ -73,7 +73,7 @@ ctrl + alt + x
xkill
ctrl + alt + z
urxvtc
urxvtc -name flota
Print
maim -u ~/Pictures/scrot/$(date +%s).png && notify-send -u low -t 3000 'Screen captured'

View File

@ -8,42 +8,50 @@ unsetopt nomatch
unsetopt menucomplete
unsetopt flowcontrol
unsetopt correctall
setopt NOCLOBBER
setopt completealiases
setopt autocd
setopt autoresume
setopt equals
setopt magic_equal_subst
setopt brace_ccl
setopt extended_history
setopt appendhistory
setopt hist_expire_dups_first
setopt auto_cd
setopt auto_param_keys
setopt auto_param_slash
setopt auto_remove_slash
setopt complete_aliases
setopt complete_in_word
setopt glob_complete
setopt hash_list_all
setopt glob
setopt extended_glob
#setopt glob_dots
setopt no_case_glob
setopt numeric_glob_sort
setopt mark_dirs
setopt hist_ignore_all_dups
setopt hist_ignore_space
setopt inc_append_history
setopt hist_reduce_blanks
setopt hist_verify
setopt hist_expand
setopt inc_append_history
setopt extended_history
setopt append_history
setopt share_history
setopt mark_dirs
setopt RM_STAR_WAIT
setopt interactivecomments
setopt rcexpandparam
#setopt hist_expire_dups_first
setopt append_create
setopt no_clobber
setopt correct
setopt glob_complete
setopt extendedglob
setopt nocaseglob
setopt nocheckjobs
setopt numericglobsort
setopt interactive_comments
setopt short_loops
setopt auto_continue
setopt auto_resume
setopt bg_nice
setopt local_loops
setopt equals
setopt magic_equal_subst
setopt brace_ccl
setopt rm_star_wait
setopt rcexpandparam
setopt no_checkjobs
setopt printeightbit
setopt auto_list
setopt auto_param_slash
setopt auto_param_keys
setopt auto_name_dirs
setopt always_to_end
setopt complete_in_word
setopt list_types
setopt GLOB_DOTS
HELPDIR=/usr/share/zsh/$ZSH_VERSION/help
WORDCHARS='*?_-.[]~=&;!#$%^(){}<>'

View File

@ -31,7 +31,7 @@ alias mv='mv -iv'
alias rmdir='rmdir -v' # rm empty directory only
alias rm='rm -iv' # Always confirm before deleting things
alias mkdir='mkdir -pv' # Make parent directories that dont exist
alias cp="cp -aiv" # Confirm before overwriting something
alias cp="cp -raiv" # Confirm before overwriting something
alias ln='ln -iv'
alias rename='rename -v'
alias mount='mount -v | column -t'
@ -41,8 +41,8 @@ alias umount='umount -v'
alias cat='bat --style=numbers,changes,header --color=always'
alias find='fd -H --color=always'
alias ncdu='ncdu --color dark -rr -x --exclude .git'
alias rg='rg -p'
alias ytdl='youtube-dl -ic'
alias ytdl='youtube-dl --add-metadata -ic'
alias yta='youtube-dl --add-metadata -icw --no-cache-dir --no-call-home --restrict-filenames --extract-audio --audio-format mp3 --audio-quality 0 --prefer-ffmpeg -o "%(title)s.%(ext)s"'
alias ls='ls -F --color=always --group-directories-first'
alias grep='grep --color=tty -d skip'
alias sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS} '
@ -54,7 +54,7 @@ alias dir='dir --color=always'
alias type='type -a' # See what the command you want to run points to
alias df='df -hT --total' # Human readable, print filetype, and total
alias free='free -ht' # Human readable and total
alias du='du -d1 -h | sort -rh' # Human readable, max depth
alias du='du -d1 -h | sort -rh' # Human readable, max depth
alias info='info --vi-keys' # GNU info act like man command
alias inxi='inxi -Fz'
alias slop='slop --highlight --tolerance=0 --color=0.3,0.4,0.6,0.4 -f '%wx%h+%x+%y''
@ -69,15 +69,14 @@ alias search="rg \
--heading \
--line-number \
--no-messages \
--no-ignore \
--hidden \
--follow \
--smart-case \
--glob '!.git/' \
--glob '!node_modules/' \
--regexp"
alias sudo='sudo '
alias logout="bspc quit 1"
alias svi="sudo nvim"
alias pacmir='sudo pacman-mirrors -f5'
alias ytw='youtube-viewer -C -D -W -f -7 --results=10'
#alias hoy='calcurse -a --format-apt=" - %m (%S a %E)\n" --format-recur-apt=" - %m (%S a %E)\n"'

View File

@ -25,15 +25,7 @@ disks() {
}
# }}}
# Video {{{
ytl() { youtube-viewer -n $@ ;}
mp3() { youtube-dl -icw --no-cache-dir --no-call-home --restrict-filenames --extract-audio --audio-format mp3 --audio-quality 0 --prefer-ffmpeg -o "%(title)s.%(ext)s" $@ ;}
2mp3() { youtube-dl -icw --no-cache-dir --no-call-home --restrict-filenames -x --audio-format mp3 --audio-quality 0 --prefer-ffmpeg -o "%(title)s.%(ext)s" -f 171 "$@" ;}
# }}}
# Pacman {{{
what() { trizen -Ss "$1" ;} # package info
show() { trizen -Si "$1" ;} # package details
files() { pacman -Ql "$1" ;} # list files owned by package
explicit() { sudo pacman -D --asexplicit "$@" ;} # mark package as explicitly installed

View File

@ -1,4 +1,4 @@
export FZF_DEFAULT_COLORS='--color=dark,fg:7,fg+:7,bg:0,bg+:8,hl:4,hl+:4,info:8,border:8,prompt:4,pointer:3,marker:3,spinner:8,header:6'
export FZF_DEFAULT_COLORS='--color=dark,fg:-1,fg+:254,bg:-1,bg+:235,hl:33,hl+:33,info:8,border:1,prompt:4,pointer:3,marker:3,spinner:8,header:6'
export FZF_DEFAULT_OPTS="$FZF_DEFAULT_COLORS \
--extended \
@ -8,12 +8,9 @@ export FZF_DEFAULT_OPTS="$FZF_DEFAULT_COLORS \
--preview-window wrap \
"
# --color fg:-1,bg:-1,hl:33,fg+:254,bg+:235,hl+:33
# --color info:136,prompt:136,pointer:230,marker:230,spinner:166
export FZF_COMPLETION_OPTS='+c -x'
if type rg &>/dev/null; then
export FZF_DEFAULT_COMMAND='rg --follow --hidden --files --glob "!.git/*" --glob "!node_modules/*" --ignore-file ~/.agignore 2> /dev/null'
export FZF_DEFAULT_COMMAND='rg --follow --hidden --files --glob "!.git/*" --glob "!node_modules/*" 2> /dev/null'
elif type ag &>/dev/null; then
export FZF_DEFAULT_COMMAND='ag -f -g "" --hidden --depth 16 --ignore dosdevices 2> /dev/null'
fi

View File

@ -34,8 +34,8 @@ fi
xset dpms 0 2700 3000 &
xset s 900 900 &
xss-lock -n dim-screen.sh -- exeflock4 &
setxkbmap -option caps:escape
xss-lock -n dim-screen.sh -l -- exeflock4 -n &
dbus-update-activation-environment --systemd DISPLAY
eval "$(/usr/bin/gnome-keyring-daemon --start --components=pkcs11,secrets,ssh)"

View File

@ -1,5 +1 @@
#if [ -z "$DISPLAY" ] && [ -n "$XDG_VTNR" ] && [ "$XDG_VTNR" -eq 1 ]; then
# exec startx
#fi
[[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx -- -keeptty -nolisten tcp > ~/.xorg.log 2>&1

View File

@ -1,7 +1,6 @@
export TERMINAL="termite"
export EDITOR="nvim"
export GIT_EDITOR=$EDITOR
export VISUAL="nano"
export BROWSER="firefox"
export CLIBROWSER="links"
export GREP_COLOR="0;32"

3
.zshrc
View File

@ -8,6 +8,9 @@ if [ "$TERM" = "linux" ]; then
echo -en "$i"
done
clear
if command -v tmux >/dev/null 2>&1; then
test -z "$TMUX" && (tmux new -A -s shell)
fi
fi
# }}}

View File

@ -18,7 +18,7 @@ then
if [ "$newcount" -gt 0 ]
then
cuenta=$(echo "$account" | rev | cut -d"/" -f1-1 | rev)
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus dunstify -a neomutt "You've Got Mail" "$newcount new message(s) in $cuenta"
notify-send-headless -a neomutt "You've Got Mail" "$newcount new message(s) in $cuenta"
fi
done
# Create a touch file that indicates the time of the last run of mailsync

View File

@ -1,27 +1,35 @@
#!/usr/bin/env bash
dunst() {
pkill -0 --exact dunst || return 0
set -euf -o pipefail
case ${1:-} in
stop)
pkill -USR1 --euid "$(id -u)" --exact dunst
;;
resume)
pkill -USR2 --euid "$(id -u)" --exact dunst
;;
*)
echo "dunst argument required: stop or resume"
return 1
;;
esac
pre_lock() {
dunst() {
pkill -0 --exact dunst || return 0
case ${1:-} in
stop)
pkill -USR1 --euid "$(id -u)" --exact dunst
;;
resume)
pkill -USR2 --euid "$(id -u)" --exact dunst
;;
*)
echo "dunst argument required: stop or resume"
return 1
;;
esac
}
dunst stop
}
dunst stop
post_lock() {
dunst resume
}
# lock colors
c0='#00000000' # clear
c1='#000000ff' # black
#c1='#000000ff' # black
c2='#FABD2F88'
c3='#FB493488'
c4='#EBDBB2FF'
@ -40,8 +48,8 @@ maim -u \
| convert png:- -scale 10% -scale 1000% \
"$lock" -gravity center -composite -matte "$image"
i3lock \
--image="$image" \
i3lock_options=("\
--image='$image' \
--insidevercolor=$c5 \
--insidewrongcolor=$c3 \
--insidecolor=$c0 \
@ -64,11 +72,35 @@ i3lock \
--noinputtext='' \
--ignore-empty-password \
-B \
--nofork &
--nofork &")
pid="$!"
while 2>/dev/null kill -0 "$pid"; do
sleep 1
done
#pid="$!"
#while 2>/dev/null kill -0 "$pid"; do
# sleep 1
#done
dunst resume
pre_lock
if [[ -e /dev/fd/${XSS_SLEEP_LOCK_FD:--1} ]]; then
kill_i3lock() {
pkill -xu $EUID "$@" i3lock
}
trap kill_i3lock TERM INT
# we have to make sure the locker does not inherit a copy of the lock fd
i3lock "${i3lock_options[@]}" {XSS_SLEEP_LOCK_FD}<&-
# now close our fd (only remaining copy) to indicate we're ready to sleep
exec {XSS_SLEEP_LOCK_FD}<&-
while kill_i3lock -0; do
sleep 0.5
done
else
trap 'kill %%' TERM INT
i3lock -n "${i3lock_options[@]}" &
wait
fi
post_lock

View File

@ -1,7 +1,9 @@
acpi
acpid
adobe-source-code-pro-fonts
alsa-utils
android-file-transfer
artyfx
atool
audacity
autoconf
@ -14,6 +16,8 @@ bmenu
bpython
bspwm
cadence
calf
catdoc
ccache
command-not-found
compton
@ -66,6 +70,7 @@ hub
hunspell-es_any
hunspell-es_ar
imagemagick
infamousplugins
inkscape
intel-ucode
iputils
@ -95,6 +100,7 @@ man-pages
manjaro-firmware
manjaro-release
manjaro-system
mda.lv2
mediainfo
memtest86+
mkinitcpio-openswap
@ -125,15 +131,15 @@ perl-glib-object-introspection
perl-image-exiftool
perl-text-charwidth
pkgconf
processing
pulseaudio-jack
pygmentize
pysolfc
pysolfc-cardsets
python-beautifulsoup4
python-isort
python-language-server
python-markdown
python-neovim
python-pillow
python-pip
python-pydocstyle
python-pyperclip
@ -180,12 +186,14 @@ unarj
uncrustify
unrar
urxvt-perls
vice
w3m
which
wireless_tools
wmctrl
wmutils
wpa_actiond
x42-plugins
x86_energy_perf_policy
xcb-util-cursor
xdo

View File

@ -14,33 +14,37 @@ gimp-plugin-export-layers
gimp-plugin-layer-via-copy-cut
gimp-plugin-saveforweb
gimp-plugin-scale-layer-to-image-size
goattracker
godot
hsetroot
i3lock-color
icons-in-terminal
lab
linux-ck
lsp-plugins-lv2-bin
modprobed-db
ncpamixer
neovim-drop-in
otf-san-francisco
pablodraw
perl-extract-url
perl-uri-find
pmount
proggyfonts
pseint
pymdown-extensions
python-lolcat
python-proc
python-proselint
python-vint
realtimeconfigquickscan-git
reaper-bin
shadowfox-updater
sws
terminus-font-ll2-td1
toilet-fonts
transmission-remote-cli-git
ttf-ibm-plex
ttf-sarasa-gothic
unclutter-xfixes-git
urlscan
urlview
xcursor-alkano-default